import type { ReverseProxyConfigs, ReverseProxyOption, ReverseProxyOptions, TlsConfig } from './types';

export declare function resolveSSLPaths(options: ReverseProxyConfigs, defaultConfig: typeof config): TlsConfig;
export declare function generateWildcardPatterns(domain: string): string[];
export declare function generateSSLPaths(options?: ReverseProxyOptions): void;
export declare function getAllDomains(options: ReverseProxyOption | ReverseProxyOptions): Set<string>;
export declare function loadSSLConfig(options: ReverseProxyOption): Promise<SSLConfig | null>;
export declare function generateCertificate(options: ReverseProxyOptions): Promise<void>;
export declare function getSSLConfig(): void;
export declare function checkExistingCertificates(options?: ReverseProxyOptions): Promise<SSLConfig | null>;
export declare function httpsConfig(options: ReverseProxyOption | ReverseProxyOptions, verbose?: boolean): TlsConfig;